org.omg.CORBA

## Class UnionMember

- java.lang.Object
- - org.omg.CORBA.UnionMember

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class UnionMember
    extends Object
    implements IDLEntity

A description in the Interface Repository of a member of an IDL union.

### Field Summary

Fields
`Any` `label` The label of the union member described by this `UnionMember` object.
`String` `name` The name of the union member described by this `UnionMember` object.
`TypeCode` `type` The type of the union member described by this `UnionMember` object.
`IDLType` `type_def` The typedef that represents the IDL type of the union member described by this `UnionMember` object.

### Constructor Summary

Constructors
Constructor and Description
`UnionMember()` Constructs a new `UnionMember` object with its fields initialized to null.
`UnionMember(String __name, Any __label, TypeCode __type, IDLType __type_def)` Constructs a new `UnionMember` object with its fields initialized to the given values.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public String name

The name of the union member described by this `UnionMember` object.

#### label

    public Any label

The label of the union member described by this `UnionMember` object.

#### type

    public TypeCode type

The type of the union member described by this `UnionMember` object.

#### type_def

    public IDLType type_def

The typedef that represents the IDL type of the union member described by this `UnionMember` object.

### Constructor Detail

#### UnionMember

    public UnionMember()

Constructs a new `UnionMember` object with its fields initialized to null.

#### UnionMember

    public UnionMember(String __name,
               Any __label,
               TypeCode __type,
               IDLType __type_def)

Constructs a new `UnionMember` object with its fields initialized to the given values.

Parameters:
  `__name` - a `String` object with the name of this `UnionMember` object
  `__label` - an `Any` object with the label of this `UnionMember` object
  `__type` - a `TypeCode` object describing the type of this `UnionMember` object
  `__type_def` - an `IDLType` object that represents the IDL type of this `UnionMember` object

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.